namespace Brizco.Domain.Entities.Shift;

[AdaptTwoWays("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[AdaptTwoWays("[name]LDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[GenerateMapper]
public partial class ShiftPlan : ApiEntity
{
    public ShiftPlan()
    {
        
    }

    internal ShiftPlan(DateTime planDate,Guid shiftId)
    {
        PlanDate = planDate;
        ShiftId = shiftId;
    }
    public DateTime PlanDate { get; internal set; }

    public Guid ShiftId { get; internal set; }
    public virtual Shift? Shift { get; internal set; }

    public List<ShiftPlanUser> Users { get; internal set; } = new();
}